# References

## Vehicle body type

| Value | Type  | Description        |
| ----- | ----- | ------------------ |
| 1     | Car   | Compact            |
| 2     | Car   | Sedan              |
| 3     | Car   | Luxury vehicle     |
| 4     | Car   | Estate car         |
| 5     | Car   | Minivan            |
| 6     | Car   | 4x4, SUV           |
| 7     | Car   | Sports car         |
| 8     | Car   | Convertible        |
| 9     | Car   | Commercial vehicle |
| 200   | Truck | 2-axle trailer     |
| 201   | Truck | 3-axle trailer     |
| 202   | Truck | 4-axle trailer     |
| 203   | Truck | 2-axle tractor     |
| 204   | Truck | 3-axle tractor     |

## Engine type

| Value | Description                 |
| ----- | --------------------------- |
| 1     | Gasoline                    |
| 2     | Diesel                      |
| 3     | Electric vehicle            |
| 4     | Gasoline-electric hybrid    |
| 5     | Diesel-electric hybrid      |
| 6     | Biofuel                     |
| 7     | Bi-fuel gasoline bioethanol |
| 8     | Dual-fuel gasoline NGV      |
| 9     | Dual-fuel gasoline LPG      |
| 10    | Not available               |
| 11    | Plug-in gasoline hybrid     |
| 12    | Hydrogen                    |

## Gearbox type

| Value | Description    |
| ----- | -------------- |
| 1     | Automatic      |
| 2     | Manual 5-speed |
| 3     | Manual 6-speed |
| 4     | Manual 7-speed |
| 5     | Manual 8-speed |

## Drive wheels type

| Value | Description       |
| ----- | ----------------- |
| 0     | Front-wheel drive |
| 1     | Rear-wheel drive  |
| 2     | Four-wheel drive  |

## Weather code

| Value | Description |
| ----- | ----------- |
| 0     | Unknown     |
| 1     | Clear sky   |
| 2     | Cloudy      |
| 3     | Foggy       |
| 4     | Rainy       |
| 5     | Snowy       |
| 6     | Icy         |

## Transportation Mode

| Value | Description        |
| ----- | ------------------ |
| 0     | Unknown            |
| 1     | Passenger car      |
| 2     | Motorcycle         |
| 3     | Heavy-duty vehicle |
| 4     | Bus                |
| 5     | Coach              |
| 6     | Rail trip          |
| 7     | Boat trip          |
| 8     | Bike trip          |
| 9     | Plane              |
| 10    | Ski                |
| 11    | On foot            |
| 12    | Idle               |
| 13    | Other              |

## Road conditions

<table><thead><tr><th width="81.66666666666666">Value</th><th>Description</th><th>Comment</th></tr></thead><tbody><tr><td>0</td><td>Traffic jam</td><td>This corresponds to vehicle displacements of less than 100 meters and performed with speeds below 10 km/h</td></tr><tr><td>1</td><td>Heavy urban traffic</td><td>Speed below 30 km/h and distance between two stops greater than 100 m</td></tr><tr><td>2</td><td>City</td><td>30 km/h &#x3C; Speed &#x3C; 65 km/h</td></tr><tr><td>3</td><td>Suburban</td><td>65 km/h &#x3C; Speed &#x3C; 96 km/h</td></tr><tr><td>4</td><td>Expressways</td><td>Speed > 96 km/h</td></tr></tbody></table>

## Error codes

<table><thead><tr><th width="137">Status</th><th width="76">Code</th><th>Comment</th><th>Description</th></tr></thead><tbody><tr><td><code>true</code></td><td>0</td><td> OK</td><td>The data are correct and the process ran fine</td></tr><tr><td><code>false</code></td><td>10</td><td>Mandatory account object not found</td><td>The « account» block is not set</td></tr><tr><td><code>false</code></td><td>13</td><td>Mandatory route object not found</td><td>The « route » block is not available → The trip analysis is not possible</td></tr><tr><td><code>false</code></td><td>14</td><td>Invalid route definition</td><td>Error when parsing the Route block</td></tr><tr><td><code>false</code></td><td>15</td><td>Velocity data is missing</td><td>The vehicle or GPS velocity is not available → The trip analysis is not possible</td></tr><tr><td><code>true</code></td><td>16</td><td>Engine speed not available</td><td>The engine speed is not available → The trip analysis is performed with an estimated value of the engine speed</td></tr><tr><td><code>true</code></td><td>17</td><td>Engine speed is null</td><td>The engine speed is always at 0 rpm while the vehicle is moving → The trip analysis is performed but with an estimated value of the engine speed</td></tr><tr><td><code>true</code></td><td>18</td><td>One or more vehicle parameters are missing (&#x3C;list of missing parameters>). Default values are used</td><td>The vehicle characteristics are not set or some values are missing → The trip analysis is performed with generic vehicle model parameters</td></tr><tr><td><code>false</code></td><td>19</td><td>Invalid sampling period: one second recording interval is recommended for input variables</td><td>The input variables have an invalid acquisition period → The trip analysis is not possible</td></tr><tr><td><code>true</code></td><td>20</td><td>More than 25% of data loss</td><td>More than 25% of data loss is detected during the trip</td></tr><tr><td><code>false</code></td><td>21</td><td>Invalid customerId</td><td>Unknown account value. Unauthorized access.</td></tr><tr><td><code>false</code></td><td>23</td><td>Date data is missing</td><td>The field vehicleDate or gpsDate is not available → The trip analysis is not possible</td></tr><tr><td><code>false</code></td><td>24</td><td>Daily request number is reached</td><td>The maximum daily request number is reached</td></tr><tr><td><code>true</code></td><td>25</td><td>The trip distance is lower than 1 km</td><td>This error message indicates that the trip was analysed but the distance is not sufficient to provide an accurate energy analysis</td></tr><tr><td><code>false</code></td><td>26</td><td>Your request could not be processed. If the problem persist, please contact us</td><td>The service failed to process your data. There is a need to diagnose your data to determine the origin of this problem</td></tr><tr><td><code>false</code></td><td>27</td><td>Your request could not be processed. If the problem persist, please contact us</td><td>The service failed to process your data. There is a need to diagnose your data to determine the origin of this problem</td></tr><tr><td><code>true</code></td><td>28</td><td>One or more vehicle parameters are out of bound (&#x3C;list of missing parameters>)</td><td>The vehicle characteristics are not in the range of available values. See vehicle characteristics for range limits</td></tr><tr><td><code>false</code></td><td>29</td><td>Beacon is missing</td><td>The beacon has not been detected and it is required to validate the trip analysis</td></tr><tr><td><code>false</code></td><td>30</td><td>Invalid beacon  data</td><td>A beacon was detected during the trip but it does not have the correct identifiers</td></tr><tr><td><code>false</code></td><td>31</td><td>A similar trip has already been processed and stored with same account</td><td>The duplicate trip feature is enabled and the trip has already been analyzed</td></tr><tr><td><code>true</code></td><td>32</td><td>The vehicleId is invalid</td><td>No vehicle found for the vehicleId provided into the API request</td></tr><tr><td><code>false</code></td><td>33</td><td>The total of GPS points are under 10</td><td>There is not enough GPS points to perform an analysis</td></tr><tr><td><code>false</code></td><td>34</td><td>The account of this driver is disabled</td><td>The driver account is disabled</td></tr><tr><td><code>false</code></td><td>35</td><td>The automatic driver account creation is disabled</td><td>The automatic creation is disabled, use a valid authentication process to create the driver account</td></tr><tr><td><code>false</code></td><td>36</td><td>All the dates are negatives</td><td>The field vehicleDate or gpsDate contains negative values → The trip analysis is not possible</td></tr><tr><td><code>false</code></td><td>37</td><td>Your request could not be processed. If the problem persist, please contact us</td><td>The service failed to process your data. There is a need to diagnose your data to determine the origin of this problem</td></tr><tr><td><code>false</code></td><td>38</td><td>Unable to create a new driver: maximum number of drivers reached for the account</td><td>The trip's driver cannot be created automatically, because you reached the maximum allowed number of drivers for your account. Please contact us to increase this threshold.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.drivequant.com/trip-analysis/rest-services/references.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
